import App from './App'
// #ifndef VUE3
import Vue from 'vue'
import { fliters } from 'common/filter/filters.js'
import uView from "uview-ui";
Vue.use(uView);
// 引入全局 uView 框架
// 定义全局自定义过滤器
Object.keys(fliters).forEach(key => {
    Vue.filter(key, fliters[key])
})
Vue.config.productionTip = false
App.mpType = 'app'
const app = new Vue({
    ...App
})
app.$mount()
// #endif

// #ifdef VUE3
import { createSSRApp } from 'vue'
export function createApp() {
  const app = createSSRApp(App)
  return {
    app
  }
}
// #endif